import java.io.IOException;

import org.apache.hadoop.hbase.client.Result;
import org.apache.hadoop.hbase.io.ImmutableBytesWritable;
import org.apache.hadoop.hbase.mapreduce.TableMapper;
import org.apache.hadoop.hbase.util.Bytes;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;

public class MaxValueMultipleInputHBaseMapper extends
		TableMapper<Text, IntWritable> {

	@Override
	public void map(ImmutableBytesWritable key, Result values, Context context)
			throws IOException, InterruptedException {
		String value = new String(values.getValue(Bytes.toBytes("values"),
				Bytes.toBytes("first_value")));
		context.write(new Text(key.get()),
				new IntWritable(Integer.valueOf(value)));
	}
}
