import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.mapreduce.lib.input.FileInputFormat;
import org.apache.hadoop.mapreduce.lib.output.FileOutputFormat;

public class MaxValue {
	public static void main(String... args) throws Exception
	{

			Job job = new Job();
			job.setJarByClass(MaxValue.class);
			job.setJobName("Maksymalna wartosc dla plikow z logami.");
			
			FileInputFormat.addInputPath(job, new    Path("/user/cloudera/logfile1.txt"));
			FileInputFormat.addInputPath(job, new Path("/user/cloudera/logfile2.txt"));
			FileInputFormat.addInputPath(job, new Path("/user/cloudera/logfile3.txt"));
			FileInputFormat.addInputPath(job, new Path("/user/cloudera/logfile4.txt"));
			FileOutputFormat.setOutputPath(job, new Path("/user/cloudera/output"));
			
			job.setMapperClass(MaxValueMapper.class);
			job.setReducerClass(MaxValueReducer.class);
			
			job.setOutputKeyClass(Text.class);
			job.setOutputValueClass(IntWritable.class);
			
			System.exit(job.waitForCompletion(true) ? 0 : 1);
		
	}
	
}
