import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

public class MaxValueMultipleInputFileMapper extends
		Mapper<LongWritable, Text, Text, IntWritable> {

	@Override
	public void map(LongWritable key, Text value, Context context)
			throws IOException, InterruptedException {
		String line = value.toString();
		String id;
		int lineValue;
		id = line.substring(0, 1);
		lineValue = Integer.parseInt(line.substring(4, 10));
		context.write(new Text(id), new IntWritable(lineValue));

	}
}
